## ros-indigo-rocon-gateway 0.7.10

=== debian/changelog ===
ros-indigo-rocon-gateway (0.7.10-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.9-1trusty) trusty; urgency=high

  * add rosgraph dependency
  * import rosgraph to handle MasterError
  * skipps if node is not availalble
  * update
  * xmlrpc uri is also recorded now
  * add xmlrpc in node
  * refactoring
  * refactoring flipp updates
  * refactoring ros service callback functions closes #307 <https://github.com/robotics-in-concert/rocon_multimaster/issues/307>
  * add more prints to investigate insecure pickle closes #302 <https://github.com/robotics-in-concert/rocon_multimaster/issues/302>
  * increase hubconnection socket timeout to resolve frequent hub disengagement closes #301 <https://github.com/robotics-in-concert/rocon_multimaster/issues/301>
  * [rocon_gateway] some new convenience args.
  * Contributors: Daniel Stonier, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.8-1trusty) trusty; urgency=high

  * fix the wrong message format parsing. closes #297 <https://github.com/robotics-in-concert/rocon_multimaster/issues/297>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.7-1trusty) trusty; urgency=high

  * [rocon_gateway] make local gateway information available immediately.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.6-1trusty) trusty; urgency=high

  * [rocon_gateway] bugfix gateway param setting
  * [rocon_gateway] hint to the user what environment variable needs to be
    set if using multiple interfaces.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.5-1trusty) trusty; urgency=high

  * Merge branch 'cyclic_flip' of https://github.com/robotics-in-concert/rocon_multimaster into cyclic_flip
  * updating logic to store filtered flip
  * Merge branch 'indigo' into cyclic_flip
  * Hints for the ignorant.
  * cleanup
  * now it prevents cyclic flips. it addresses #283 <https://github.com/robotics-in-concert/rocon_multimaster/issues/283>. Fix #283 <https://github.com/robotics-in-concert/rocon_multimaster/issues/283>
  * it was silently ignoring if topic being flipped does not have type information. Now it provides warning that it is not flippable
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.4-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.3-1trusty) trusty; urgency=high

  * lists instead of semi-colon separated strings for hub whitelist/blacklist parameters.
  * keep trying to resolve zeroconf hubs instead of blacklisting them so we can come back from wireless dropouts, #271 <https://github.com/robotics-in-concert/rocon_multimaster/issues/271>.
  * update publisher queue_size to avoid warning in indigo.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.1-1trusty) trusty; urgency=high

  * fix minor graph variable refactoring bugs.
  * optimized updating flipped_in_connections. closes #267 <https://github.com/robotics-in-concert/rocon_multimaster/issues/267>
  * remote_gateway_info needs more time to find the concert if launched with
    other nodes at startup.
  * make remote_gateway_info roslaunchable.
  * use a loop period in the ``remote_gateway_info`` script.
  * remove the redundant (is in rocon_gateway_utils) gateway resolver from the master api
  * bugfix erroneous interpretation of boolean keys on the hub, fixes #263 <https://github.com/robotics-in-concert/rocon_multimaster/issues/263>.
  * handle a socket error with a warning when user sets a wireless ip to ROS_IP.
  * option for putting ``remote_gateway_info`` on a loop.
  * Contributors: Daniel Stonier, Jack O'Quin, Piyush Khandelwal

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

ros-indigo-rocon-gateway (0.7.0-1trusty) trusty; urgency=high

  * client to hub connection statistics
  * move flip handling from pubsub channels to encrypted posting on the hubs
  * disconnect/reconnect to the hub handling
  * pep8 and code analysis
  * catch and handle many exceptions
  * multi-version support for redis servers, currently v2.2 and v2.6
  * Contributors: Daniel Stonier, Jorge Santos, Marcus Liebhardt, Piyush Khandelwal, piyushk

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-indigo-rocon-gateway (0.6.0-1trusty) trusty; urgency=high

  * disable uuids, tested with turtlebot, but not with turtle or chatter concerts.
  * more info for error checking.
  * error checking for master api register service bug.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-rocon-gateway (0.5.3-1trusty) trusty; urgency=high

  * handles for configuring and triggering the watcher loop updates.
  * don't try and delete a remote gateway's advertisements for it.
  * add missing dependencies on rostopic and rosservice.
  * bugfix unregister subcriber update faults when subscriber has disappeared.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-rocon-gateway (0.5.0-1trusty) trusty; urgency=high

  * fix problems with new skeletonised connection index for advertising.
  * better error feedback on sample errors.
  * removal of almost all xmlrpc calls when indexing local connections, and a nosetest.
  * move watcher thread into main thread.
  * pep8 updates
  * included commented disable_zeroconf in the default parameter file.
  * trivial comment clearing.
  * action search algorithm got patched

