=== debian/control ===
Source: ros-indigo-rocon-gateway
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslint
Homepage: http://ros.org/wiki/rocon_gateway
Standards-Version: 3.9.2

Package: ros-indigo-rocon-gateway
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-crypto, ros-indigo-gateway-msgs, ros-indigo-rocon-console, ros-indigo-rocon-gateway-utils, ros-indigo-rocon-hub-client, ros-indigo-rocon-python-comms, ros-indigo-rocon-python-redis, ros-indigo-rocon-python-utils, ros-indigo-rocon-python-wifi, ros-indigo-rosgraph, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-rostopic, ros-indigo-std-srvs, ros-indigo-zeroconf-avahi, ros-indigo-zeroconf-msgs
Description: A hub acts as a shared key-value store for multiple ros systems (primarily used by gateways).
